Skip to content

Create or update SSO/IdP configuration

PUT
/v1/console/sso
curl --request PUT \
--url https://example.com/v1/console/sso \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "claimed_domains": [ "example" ], "enabled": true, "network_allowlist": [ "example" ], "oidc_client_id": "example", "oidc_client_secret": "example", "oidc_groups_claim": "example", "oidc_issuer": "https://example.com", "protocol": "oidc", "require_sso": true, "saml_acs_url": "https://example.com", "saml_email_attr": "example", "saml_entity_id": "example", "saml_groups_attr": "example", "saml_idp_sso_url": "https://example.com", "saml_metadata_url": "https://example.com", "saml_sp_cert_pem": "example", "saml_sp_key_pem": "example", "saml_sp_sign_cert_pem": "example", "saml_sp_sign_key_pem": "example", "scim_authoritative": true }'

Creates or replaces the managed SSO or IdP configuration of the addressed scope; its secrets are sealed at rest.

Media type application/json
object
claimed_domains
Array<string>
enabled
boolean
network_allowlist
Array<string>
oidc_client_id
string
oidc_client_secret
string format: password
oidc_groups_claim
string
oidc_issuer
string format: uri
protocol
required
string
Allowed values: oidc saml
require_sso
boolean
saml_acs_url
string format: uri
saml_email_attr
string
saml_entity_id
string
saml_groups_attr
string
saml_idp_sso_url
string format: uri
saml_metadata_url
string format: uri
saml_sp_cert_pem
string
saml_sp_key_pem
string format: password
saml_sp_sign_cert_pem
string
saml_sp_sign_key_pem
string format: password
scim_authoritative
boolean

OK

Media type application/json
object
alias
string
claimed_domains
Array<string>
configured
required
boolean
enforced_by
string
groups_mapped_by
string
network_allowlist
Array<string>
oidc_client_id
string
oidc_client_secret_hint
string
oidc_groups_claim
string
oidc_issuer
string format: uri
protocol
string
Allowed values: oidc saml
provider_available
required
boolean
redirect_uri
string format: uri
require_sso
boolean
routed_by
string
saml_acs_url
string format: uri
saml_email_attr
string
saml_entity_id
string
saml_groups_attr
string
saml_idp_sso_url
string format: uri
saml_metadata_url
string format: uri
saml_sp_cert_pem
string
saml_sp_key_hint
string
saml_sp_sign_cert_pem
string
saml_sp_sign_key_hint
string
scim_authoritative
boolean
status
string
target_tenant
string
updated_at
string format: date-time
Example
{
"protocol": "oidc"
}

Bad request

Media type application/json
object
error
required
object
code
required
string
message
required
string
Example generated
{
"error": {
"code": "example",
"message": "example"
}
}

Unauthenticated

Media type application/json
object
error
required
object
code
required
string
message
required
string
Example generated
{
"error": {
"code": "example",
"message": "example"
}
}

Forbidden

Media type application/json
object
error
required
object
code
required
string
message
required
string
Example generated
{
"error": {
"code": "example",
"message": "example"
}
}

Not found

Media type application/json
object
error
required
object
code
required
string
message
required
string
Example generated
{
"error": {
"code": "example",
"message": "example"
}
}

Conflict / setup required

Media type application/json
object
error
required
object
code
required
string
message
required
string
Example generated
{
"error": {
"code": "example",
"message": "example"
}
}

Rate limited

Media type application/json
object
error
required
object
code
required
string
message
required
string
Example generated
{
"error": {
"code": "example",
"message": "example"
}
}